package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysBusinessFrontRes;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabSysBusinessFrontResMapper {
    /**
     * 根据主键删除
     *
     * @param resourceId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer resourceId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysBusinessFrontRes record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysBusinessFrontRes record);

    /**
     * 根据主键查询
     *
     * @param resourceId 主键
     * @return 实体对象
     */
    TabSysBusinessFrontRes selectByPrimaryKey(Integer resourceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysBusinessFrontRes record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysBusinessFrontRes record);

    List<TabSysBusinessFrontRes> listByParam(@Param("search") String search,
            @Param("resourceType") Integer resourceType);
}